import { WaitForOptions } from '../../types';
import { MockFilterOptions, MockOverwrite, MockResponseParams, Matches } from './types';
import type Protocol from 'devtools-protocol';
export default abstract class Interception {
    abstract calls: Matches[] | Promise<Matches[]>;
    abstract clear(): void;
    abstract restore(): void;
    abstract respond(overwrite: MockOverwrite, params: MockResponseParams): void;
    abstract respondOnce(overwrite: MockOverwrite, params: MockResponseParams): void;
    abstract abort(errorReason: Protocol.Network.ErrorReason, sticky: boolean): void;
    abstract abortOnce(errorReason: Protocol.Network.ErrorReason): void;
    url: string;
    filterOptions: MockFilterOptions;
    browser: WebdriverIO.Browser;
    respondOverwrites: {
        overwrite?: MockOverwrite;
        params?: MockResponseParams;
        sticky?: boolean;
        errorReason?: Protocol.Network.ErrorReason;
    }[];
    matches: Matches[];
    constructor(url: string, filterOptions: MockFilterOptions | undefined, browser: WebdriverIO.Browser);
    waitForResponse({ timeout, interval, timeoutMsg, }?: WaitForOptions): Promise<boolean>;
}
//# sourceMappingURL=index.d.ts.map